# Operation Guide

WEMIX3.0 클라이언트 노드(i.e., `gwemix`)의 binary파일은 아래의 명령을 이용하여 제어할 수 있습니다.

### 시작 <a href="#start" id="start"></a>

Build한 `gwemix`를 script(i.e., `gwemix.sh`)를 이용하여 실행시키기 위한 명령입니다.

```
{data_directory}/bin/gwemix.sh start
```

위의 명령으로 `gwemix`를 실행하면 10MB사이즈의 로그파일을 자동으로 `{data_folder}/log` 디렉토리에 저장합니다. log파일은 최대 6개까지 저장하며 이 개수는 `gwemix.sh`에서 변경가능합니다.

### 중지 <a href="#stop" id="stop"></a>

실행 중인 `gwemix`를 멈추기 위한 명령입니다.

```
{data_directory}/bin/gwemix.sh stop
```

### 중지 후 재시작 <a href="#restart" id="restart"></a>

동작 중인 `gwemix`를 stop후 start하는 명령입니다.

```
{data_directory}/bin/gwemix.sh restart
```

### 데이터 삭제 <a href="#remove-data" id="remove-data"></a>

동작 중인 `gwemix`의 `chaindata`를 모두 삭제하는 명령입니다. **해당 명령을 실행하면 모든 `chaindata`가 삭제되므로 주의하여 사용해야합니다.**

```
{data_directory}/bin/gwemix.sh wipe
```

### 콘솔접속 <a href="#restart" id="restart"></a>

동작 중인 `gwemix`의 `JavaScript console`에 접속하는 방법입니다.

```
{data_directory}/bin/gwemix.sh console
```

### 로그 <a href="#log" id="log"></a>

로그파일을 이용하여 현재 `gwemix`의 상태를 파악할 수 있습니다.&#x20;

```
tail -F {data_folder}/logs/log
```

로그 레벨은 1에서 5까지 나누어져 있으며 기본값은 3입니다.

```
0=silent, 1=error, 2=warn, 3=info, 4=debug, 5=detail (default: 3)
```

로그 레벨을 변경하기 위해서는 gwemix console에 접근하여 아래의 명령을 실행하면 바로 적용됩니다.

```
debug.verbosity({log_level})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wemix.com/ko/install-and-operation/operation-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
